$(document).ready(function () {

    $('.menu .burger').on('click', function () {
        $('.menu-mobile').slideToggle(200)
    });


    $('.pagination .number').on('click', function () {
        $(this).parent().find('.active').removeClass('active');
        $(this).addClass('active')
    });


    $('.pagination .arrow-right').on('click', function () {
        if ($(this).parent().find('.active').next().hasClass('number')) {
            $(this).parent().find('.active').next().addClass('active');
            $(this).parent().find('.active').prev().removeClass('active')

        } else {
            $(this).parent().find('.active').removeClass('active');
            $(this).parent().find('.number').first().addClass('active')


        }
    });

    $('.pagination .arrow-left').on('click', function () {
        if ($(this).parent().find('.active').prev().hasClass('number')) {
            $(this).parent().find('.active').prev().addClass('active');
            $(this).parent().find('.active').next().removeClass('active')
        } else {
            $(this).parent().find('.active').removeClass('active');
            $(this).parent().find('.number').last().addClass('active')

        }
    });

    $('#searchToggle').click(function(e) {
        e.preventDefault();
        $("#searchForm").toggleClass('header-search--active')
    });
});
$(window).on('load',function(){
    (function($){
        var body = $('html, body');
        var _bodyHeight = undefined;
        const getBodyHeight = function() {
            if(_bodyHeight === undefined) {
                _bodyHeight = $('body').outerHeight() || $('html').outerHeight();
            }
            return _bodyHeight;
        };
        const windowHeight = window.innerHeight;
        const footerHeight = 333;
        const scrollOffset = 30;
        const scrollToShow = 400;
        const getScroll = function() {
            return $('body').scrollTop() || $('html').scrollTop();
        };
        const getButtonPos = function() {
            if(getScroll() + windowHeight > getBodyHeight() - footerHeight) {
                const currentScroll = (getScroll() + windowHeight);
                const bodyFooter = (getBodyHeight() - footerHeight);
                return (scrollOffset + (currentScroll - bodyFooter));
            } else {
                return scrollOffset;
            }
        };

        if(body.height() > windowHeight && body.width() > 1023) {
            var button = $('<div class="go-top-link"></div>')
                .css({
                    'position': 'fixed',
                    'bottom': getButtonPos() + 'px',
                    'left': '30px'
                }).click(function(){
                    body.animate({'scrollTop': 0});
                }).hide();
            body.append(button);
            var isShown = false;
            if(getScroll() >= scrollToShow) {
                button.fadeIn();
                isShown = true;
            }
            $(window).on('scroll', function(){
                if(getScroll() >= scrollToShow && !isShown) {
                    button.stop().fadeIn();
                    isShown = true;
                } else if(getScroll() < scrollToShow && isShown) {
                    button.stop().fadeOut();
                    isShown = false;
                }
                button.css('bottom', getButtonPos() + 'px');
            });
        }
    })($)
});